Profil | Mitglieder | Registrieren | Start | Suche


PHP-Support.de » PC-Ecke » Internet allgemein » PHP 4 unter IIS    » Hallo Gast [Login | Registrieren]

Neues Thema | Antworten   

Autor Beitrag
Thx2
Mitglied
Aktiver User


Dabei seit: 27.03.2010
Herkunft: keine Angabe
Posts: 157
     PHP 4 unter IIS Zitat | Bearbeiten

Hallo,

Bei mir läuft Windows Server 2008 RS und damit glaube ich IIS7.

Ich habe derzeit PHP 5.4, PHP 5.3, PHP 5.2 laufen und brauche für ganz alte Scripts zu testzwecken noch PHP 4.4

Ich bekomme es aber nicht zum laufen die installer failen alle etc.

Kann mir einer ne lauffähige Version basteln?


10.02.2016, 14:33 Profil | PM | E-Mail  
DingsDaBums
Mitglied
Exzellenter User


Dabei seit: 12.09.2010
Herkunft: keine Angabe
Posts: 2427
      Zitat | Bearbeiten

[quote]Orginal von Thx2
Hallo,

Bei mir läuft Windows Server 2008 RS und damit glaube ich IIS7.

Ich habe derzeit PHP 5.4, PHP 5.3, PHP 5.2 laufen und brauche für ganz alte Scripts zu testzwecken noch PHP 4.4

Ich bekomme es aber nicht zum laufen die installer failen alle etc.

Kann mir einer ne lauffähige Version basteln?
[/quote]

Was willst du denn noch mit PHP 4.4? Selbst 5.2 oder auch 5.3 sind schon recht stark veraltet

Je nach dem, wofür du das brauchst, gibt es vielleicht auch Alternativen. Ich persönlich würde nicht mehr für so veraltete Versionen entwickeln (zum mindest auf keinen Fall für PHP 4.4. Das wäre sooo ein "Krampf"... ). Wenn es aber auf Teufel komm raus sein muss, gibt es glaube ich auch Skripte, die PHP-Skripte in ihrer Kompatibilität einstufen können.
Ich meine da sogar mal ein Skript/Programm ausprobiert zu haben, wo man die PHP Skripte angeben konnte, die dann aufgrund der benutzten Syntax und den benutzten Funktionen dann die PHP Version (und glaube auch zusätzliche mögliche Komponenten von PHP, die nicht standardmäßig immer dabei sind) anzeigen, mit der das Skript höchstens kompatibel ist.

Ich such mal. Vielleicht finde ich das nochmal. Vielleicht gibt es aber inzwischen auch schon bessere Alternativen.

Für kleine Skripte/Codeschnipsel wäre vielleicht folgendes noch eine Option:
https://3v4l.org/
oder eben
http://sandbox.onlinephpfunctions.com/

Da kannst du dir PHP Versio auswählen, unter der dann dein Code ausgeführt wird. Für komplexere Anwendungen ist das aber natürlich keine Alternative, aber vielleicht reicht es ja zumindest in bestimmten Fällen aus, wenn man da Teile des Codes so testet.


Schau mal bei meinem Projekt vorbei. Vielleicht ist das ja was für dich MyStartPanel - Deine persönliche Startseite mit deinen Favoriten
Auf der Suche nach einem guten Vokabeltrainer? Vokabeltrainer Cramfire - Schnell und effektiv Vokabeln lernen
10.02.2016, 16:48 Profil | PM | E-Mail  
Thx2
Mitglied
Aktiver User


Dabei seit: 27.03.2010
Herkunft: keine Angabe
Posts: 157
      Zitat | Bearbeiten

Ich will zu testzwecken auf meinem Server das uralte WBB 1.2 installieren und 1.1.1c welche beide nur mit PHP 4 Kompatibel sind da es 5 zu der Zeit noch nicht gab.

Ein weiteres uralt CMS unterstützt ebenfalls nur PHP 4.

Ich will die nicht für den Produktiven einsatz verwenden sondern nur zum basteln.

Leider läuft PHP 4 nicht unter IIS 7 zumindest kann ich die php.exe nicht registrieren es kommt dann "geben sie den pfad zu einer php-cgi.exe oder php.exe an" also erkennt er die wohl nicht mehr -.-

Vielleicht kann ja jemand helfen.




Post wurde schon 2x editiert, das letzte mal am 10.02.2016 um 21:00 von Thx2
10.02.2016, 20:24 Profil | PM | E-Mail  
Andavos
Administrator
Foren-Gott


Dabei seit: 30.11.2003
Herkunft:
Posts: 6266
      Zitat | Bearbeiten

Sofern du es nur lokal zum testen willst könnte ich XAMPP empfehlen. Die alten Versionen sind davon weiterhin als Dowload verfügbar:
https://sourceforge.net/projects/xampp/files/XAMPP%20Windows/

Welche davon noch mit PHP4 kommt müsste man schauen / testen.


www.php-einfach.de, PHP lernen leicht gemacht
www.webhosterwissen.de, Webhosting-Vergleich



10.02.2016, 21:16 Profil | PM | E-Mail  
Thx2
Mitglied
Aktiver User


Dabei seit: 27.03.2010
Herkunft: keine Angabe
Posts: 157
      Zitat | Bearbeiten

Ich habe nen v Server mit Windows Server 2008 RS seit paar Tagen auf dem Habe ich IIS konfiguriert und MYSQL 5.1 installiert neben den anderen PHP Versionen.

Das heißt es müsste unter IIS funktionieren.

Aber trotzdem danke für den Tipp.

lg
Michael


10.02.2016, 21:28 Profil | PM | E-Mail  
Andavos
Administrator
Foren-Gott


Dabei seit: 30.11.2003
Herkunft:
Posts: 6266
      Zitat | Bearbeiten

Naja, wer IIS benutzt ist selber Schuld


www.php-einfach.de, PHP lernen leicht gemacht
www.webhosterwissen.de, Webhosting-Vergleich



10.02.2016, 21:55 Profil | PM | E-Mail  
Thx2
Mitglied
Aktiver User


Dabei seit: 27.03.2010
Herkunft: keine Angabe
Posts: 157
      Zitat | Bearbeiten

Habe bis jetzt nur negatives gehört über IIS aber bislang kann ich mich darüber eigentlich nicht beschweren.

Habe eigentlich nur 2 - 3 Tage gebraucht um meinen Server einzurichten sodass es funktioniert wie ich es will und das obwohl ich noch nie einen ROOT eingerichtet habe für Web zwecke, auch nicht Linux.

Mir fehlt aktuell eigentlich wirklich nur PHP 4 und das dringend.

Also wenn mir da jemand helfen könnte wäre wirklich super!

lg
Michael


10.02.2016, 21:58 Profil | PM | E-Mail  
Seiten (1):  1 
PHP-Support.de » PC-Ecke » Internet allgemein » PHP 4 unter IIS   

Neues Thema | Antworten   


Powered by Command Board 1.0 - Beta 2.0 © 2004-08 PHP-Einfach | Impressum | Datenschutz